<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Terminplan;

class TerminplanView extends \Kufer\Web\KuferTools\Basis\KursUebersicht\Terminplan\TerminplanView
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/kursuebersicht/terminplan.sgt';
  }

  protected function getDatamodul(): \Datamodul
  {
    $datamodul = parent::getDatamodul();
    $datamodul->auswahl_monat = $this->viewModel->auswahlMonat;
    $datamodul->auswahl_jahr = $this->viewModel->auswahlJahr;
    $datamodul->auswahl_quartal = $this->viewModel->auswahlQuartal;

    return $datamodul;
  }
}

class TerminplanViewModel extends \Kufer\Web\KuferTools\Basis\KursUebersicht\Terminplan\TerminplanViewModel
{
  public $auswahlMonat;
  public $auswahlJahr;
  public $auswahlQuartal;
}